diff --git a/input/drivers_joypad/udev_joypad.c b/input/drivers_joypad/udev_joypad.c
index 4475c62e5f..d0b457bafd 100644
--- a/input/drivers_joypad/udev_joypad.c
+++ b/input/drivers_joypad/udev_joypad.c
@@ -541,12 +541,12 @@ static void udev_joypad_poll(void)
 }
 
 /* Used for sorting devnodes to appear in the correct order */
-static int sort_devnodes(const void *a, const void *b)
+/*static int sort_devnodes(const void *a, const void *b)
 {
    const struct joypad_udev_entry *aa = (const struct joypad_udev_entry*)a;
    const struct joypad_udev_entry *bb = (const struct joypad_udev_entry*)b;
    return strcmp(aa->devnode, bb->devnode);
-}
+}*/
 
 static bool udev_joypad_init(void *data)
 {
@@ -599,8 +599,8 @@ static bool udev_joypad_init(void *data)
 
    /* Sort the udev entries by devnode name so that they are
     * created in the proper order */
-   qsort(sorted, sorted_count,
-         sizeof(struct joypad_udev_entry), sort_devnodes);
+   /*qsort(sorted, sorted_count,
+         sizeof(struct joypad_udev_entry), sort_devnodes);*/
 
    for (i = 0; i < sorted_count; i++)
    {
